#
# spec file for package putty (Version 0.60+svn20101227)
#
#
# norootforbuild

%define release_version 0.62
#define svn_version 2010-12-27

Name:		putty
#Version:	%{release_version}+svn20101227
Version:    0.62
Release:	1.22
Group:		Productivity/Networking/SSH
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Summary:	Free Win32 and Unix SSH/Telnet client
License:    MIT
#Source0:	%{name}-%{release_version}-%{svn_version}.tar.bz2
Source0:    http://the.earth.li/~sgtatham/putty/latest/putty-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source100:	%{name}.changes
Patch0:		%{name}-defsess-svn.diff
Patch1:		%{name}-cursor-svn.diff
Patch2:		%{name}-optflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gtk2-devel krb5-devel pkg-config update-desktop-files

%description
PuTTY is a free (MIT-licensed) Telnet and SSH client.

%prep
#setup -q -n %{name}-%{release_version}-%{svn_version}
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%__make XFLAGS="$RPM_OPT_FLAGS -DDEBUG -fno-strict-aliasing" \
	VER="-DSNAPSHOT=%{version}" -C unix -f Makefile.gtk prefix="%{_prefix}"

%install
%__install -d -m 0755 "%{buildroot}/%{_bindir}" "%{buildroot}/%{_mandir}/man1"
%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
%__install -D -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} Network RemoteAccess GTK

%__make -C unix -f Makefile.gtk \
	prefix="%{buildroot}/%{_prefix}" mandir="%{buildroot}/%{_mandir}" install

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%{_bindir}/plink
%{_bindir}/pscp
%{_bindir}/psftp
%{_bindir}/pterm
%{_bindir}/putty
%{_bindir}/puttygen
%{_bindir}/puttytel
%doc %{_mandir}/man1/plink.1*
%doc %{_mandir}/man1/pscp.1*
%doc %{_mandir}/man1/psftp.1*
%doc %{_mandir}/man1/pterm.1*
%doc %{_mandir}/man1/putty.1*
%doc %{_mandir}/man1/puttygen.1*
%doc %{_mandir}/man1/puttytel.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Dec 11 2011 pascal.bleser@opensuse.org
- update to 0.62:
  * passwords are no longer retained in memory by mistake
  * PSCP and PSFTP now honor nonstandard port numbers in SSH saved sessions
  * fixes were made for
  - spurious "Access denied" messages on GSSAPI authentication failures,
  - for a file handle leak in Pageant,
  - for a crash when saving a session,
  - for misplaced underlines,
  - and for incorrect vertical offset of VT100 line drawing characters
* Mon Dec 27 2010 packman@links2linux.de - 0.60
- updated to latest snapshot (SVN 0.60-2010-12-27)
- patches refreshed
* Mon Feb  1 2010 detlef@links2linux.de - 0.60
- add icon and desktop file
* Mon Feb  1 2010 packman@links2linux.de - 0.60
- updated to latest snapshot (SVN)
- patches refreshed
* Sun Jan 31 2010 packman@links2linux.de - 0.60
- first build for packman based on spec by J. Engelhardt
- spec cleanup
* Mon May 18 2009 AxelKoellhofer@web.de
- updated to recent SVN snapshot
- built against gtk2 (instead of gtk)
- patches adapted to apply cleanly
- spec cleanup
- added krb5-devel to BuildRequires
- added putty-gcc44-aliasing.patch as workaround for building with gcc-4.4
  * Thu May 18 2006 - jengelh
- built for SUSE Linux 10.1
- specfile update
  * Sat May 14 2005 - jengelh
- updated to 0.58
